@echo off

echo Compiling generators...

dcc32 -CC gen_random >nul


echo Deleting old files

del "%~dp0*.out" > nul

for /l %%i in (3,1,200) do (
  if exist %%i.in (
    del %%i.in > nul
  )
)

echo Generating tests...

gen_random 9
gen_random 8
gen_random 7
gen_random 6
gen_random 5
gen_random 4
gen_random 10
gen_random 11
gen_random 12
gen_random 13
gen_random 14
gen_random 15
gen_random 16
gen_random 17
gen_random 18
gen_random 19
gen_random 20
gen_random 21
gen_random 22
gen_random 23
gen_random 24
gen_random 25
gen_random 26
gen_random 27
gen_random 28
gen_random 29
gen_random 30

echo Getting answers with model solution

for /l %%i in (1,1,200) do (
  if exist %%i.in (
    copy %%i.in input.txt > nul
    solution.exe > nul
    copy output.txt %%i.out > nul
    del input.txt > nul
    del output.txt > nul
  )
)